<!-- App.vue -->
<template>
  <div id="app">
    <NavigationBar />
    <router-view>
      <RegisterUserForm /> 
      <LoginForm /> 
      <RegisterVehicleForm /> 
      <RegisterObjectForm />
    </router-view>
    
  </div>
</template>

<script>
import NavigationBar from '@/components/NavigationBar.vue';
import LoginForm from './components/LoginForm.vue';
import RegisterUserForm from './components/RegisterUserForm.vue';
import RegisterVehicleForm from './components/RegisterVehicleForm.vue';
import RegisterObjectForm from './components/RegisterObjectForm.vue';

export default {
  name: 'App',
  components: {
  
    
    RegisterUserForm,
    LoginForm,
    RegisterVehicleForm,
    RegisterObjectForm,
    NavigationBar
},
};
</script>


<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
